Bug 916646 (CVE-2013-1792) - CVE-2013-1792 Kernel: keys: race condition in install_user_keyrings()
Summary: CVE-2013-1792 Kernel: keys: race condition in install_user_keyrings()
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-1792
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 913258 916681 916682 916683 919021
Blocks: 916555
TreeView+ depends on / blocked
 
Reported: 2013-02-28 15:17 UTC by Prasad J Pandit
Modified: 2019-09-29 13:01 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-10 05:40:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0744 normal SHIPPED_LIVE Important: kernel security and bug fix update 2013-04-23 22:25:40 UTC
Red Hat Knowledge Base (Solution) 295003 None None None Never
Red Hat Product Errata RHSA-2013:0829 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2013-05-20 20:47:02 UTC

Description Prasad J Pandit 2013-02-28 15:17:41 UTC
A race condition leading to a NULL pointer dereference is discovered in the
Linux kernel. It occurs during parallel invocation of install_user_keyrings
& lookup_user_key routines.

An unprivileged user could use this flaw to crash the system, resulting in DoS.

Comment 3 Prasad J Pandit 2013-02-28 16:37:15 UTC
Statement:

This issue does not affect the versions of the kernel package as shipped with Red Hat Enterprise Linux 5.

This issue affects the version of Linux kernel as shipped with Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2. Future kernel updates for Red Hat Enterprise MRG 2 may address this issue.

Comment 4 Prasad J Pandit 2013-02-28 16:45:42 UTC
Acknowledgements:

This issue was discovered by Mateusz Guzik of Red Hat EMEA GSS SEG Team.

Comment 6 Prasad J Pandit 2013-03-07 07:13:31 UTC
Upstream fix:
 -> https://lkml.org/lkml/2013/3/6/535

Comment 7 Jan Lieskovsky 2013-03-07 12:41:01 UTC
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 919021]

Comment 8 Fedora Update System 2013-03-11 01:23:55 UTC
kernel-3.8.2-206.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-03-22 00:19:29 UTC
kernel-3.8.3-103.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 errata-xmlrpc 2013-04-23 18:27:47 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0744 https://rhn.redhat.com/errata/RHSA-2013-0744.html

Comment 11 errata-xmlrpc 2013-05-20 16:48:51 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:0829 https://rhn.redhat.com/errata/RHSA-2013-0829.html

Comment 12 John Kacur 2013-06-12 14:22:50 UTC
(In reply to Prasad J Pandit from comment #6)
> Upstream fix:
>  -> https://lkml.org/lkml/2013/3/6/535

She the above correct, it's empty?
Do we have a sha1 yet from Linus' tree?

Comment 13 John Kacur 2013-06-12 14:31:52 UTC
Okay, I did some detective work and found out that this is meant.
0da9dfdd2cd9889201bc6f6f43580c99165cd087

https://patchwork.kernel.org/patch/2228431/


Note You need to log in before you can comment on or make changes to this bug.